@charset "UTF-8";

* {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    color: blue;
    font-size: 20px;
}

main {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(max(192px, 19%), 1fr));
    gap: 1px;
    background-color: white;
}

header {
    position: sticky;
    top: 0;
    border-bottom: 1px solid blue;
    line-height: 2em;
    text-align: center;
    background-color: white;
}

footer {
    position: sticky;
    bottom: 0;
    border-top: 1px solid blue;
    line-height: 2em;
    text-align: center;
    background-color: white;
}

article {
    padding: 10%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    align-content: center;
    justify-content: center;
    aspect-ratio: 1 / 1;
    outline: 1px solid blue;
}

article a {
    width: 100%;
    height: 100%;
    aspect-ratio: 1 / 1;
    background-color: khaki;
}